import * as React from "react";

export const Width: React.FC<{
  children: React.ReactNode;
  width?: number;
}> = ({ children, width }) => {
  let colXl = "col-xl-12";
  if (!!width && width === 50) {
    colXl = "col-xl-6";
  }

  return <div className={`col-sm-6 col-lg-12 ${colXl}`}>{children}</div>;
};
